[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.CMEnter

Handles the CM_ENTER control message for the control.

## Declaration

Source position: controls.pp line 2204

`protected procedure TWinControl.CMEnter(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message handled in the method.

## Description

CM_ENTER and CM_EXIT messages occur when the active control is changed on a form.

Calls DoEnter to signal the OnEnter event handler (when assigned).

## See also

TWinControl.DoEnter |  | Signals the OnEnter event handler (when assigned) when the control receives focus.
TWinControl.OnEnter |  | Event handler signalled when the control receives focus.